@extends('layouts.auth')
@section('title')
    {{ __('messages.event.slot_calendar') }}
@endsection
@section('content')
    <div class="container">
        <div class="row">
            <div class="d-flex flex-center flex-column flex-column-fluid py-4 calendar-container">
                <div class="w-100 rounded">
                    <div>
                        <div class="d-flex justify-content-between flex-md-row flex-column">
                            <div class="card shadow-sm header-card p-6">
                                <div class="card-body p-0">
                                    <div class="text-center px-2 d-sm-flex">
                                        <div
                                            class="d-flex justify-content-center align-items-center calendar-container__profile calendar-container__card shadow-sm">
                                            <div
                                                class="calendar-container__user p-5 d-flex align-items-center justify-content-center flex-column">
                                                <img src="{{ $event->user->profile_image }}" alt="logo"
                                                    class="img-fluid user-image rounded-circle object-cover">
                                                <span
                                                    class="fs-2 mt-5 fw-bold text-center d-block user-name">{{ $event->user->first_name . ' ' . $event->user->last_name }}</span>
                                            </div>
                                        </div>
                                       
                                        
                                    </div>
                                </div>
                            </div>
                           
                        </div>
                        <div class="card shadow-sm mt-5">
                            <div class="container card-body p-sm-8 p-2">
                                <div id="calendar"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
    <script data-turbo-eval="false">
        let currentUTCDate =
            "{{ isset(getLogInUser()->timezone) ? \App\Models\User::TIME_ZONE_ARRAY[getLogInUser()->timezone] : \App\Models\User::TIME_ZONE_ARRAY[getTimeZone()] }}"
        let eventSchedules = @json($data);
        let months = "{{ $month }}"
        let year = "{{ $slotYear }}"
        let userLanguage = "{{ $event->user->language }}"
        let slotCalendarUrl = "{{ Request::root() . '/s/' . $event->user->domain_url . '/' . $event->event_link }}"
    </script>
@endpush
