<div class="col-12">
    <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="patientOverview" role="tabpanel">
            <div class="row mb-7">
                <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.common.name')); ?></label>
                <div class="col-lg-8">
                    <span class="fs-4 text-gray-800"><?php echo e($eventSchedule->name); ?></span>
                </div>
            </div>
            <div class="row mb-7">
                <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.user.email')); ?></label>
                <div class="col-lg-8 fv-row">
                                <span class="fs-4 text-gray-800"><a
                                            href="mailto:<?php echo e($eventSchedule->email); ?>"
                                            class="text-decoration-none"><?php echo e($eventSchedule->email); ?></a></span>
                </div>
            </div>
            <div class="row mb-7">
                <label class="col-lg-4 fs-4 text-gray-600">Phone</label>
                <div class="col-lg-8 fv-row">
                                <span class="fs-4 text-gray-800">+<?php echo e($eventSchedule->region_code); ?>-<?php echo e($eventSchedule->phone_call); ?></span>
                </div>
            </div>
            
            <div class="row mb-7">
                <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.schedule_event.scheduled_date')); ?></label>
                <div class="col-lg-8 fv-row">
                    <span class="fs-4 text-gray-800"><?php echo e($eventSchedule->schedule_date); ?></span>
                </div>
            </div>
            <div class="row mb-7">
                <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.event.event_name')); ?></label>
                            <div class="col-lg-8">
                                <span class="fs-4 text-gray-800"><?php echo e($eventSchedule->event->name); ?></span>
                            </div>
                        </div>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.event.event_type')); ?></label>
                            <div class="col-lg-8">
                                <span class="badge bg-light-<?php echo e(getBadgeEventTypeColors($eventSchedule->event->event_type)); ?> "><?php echo e(\App\Models\Event::EVENT_TYPE[$eventSchedule->event->event_type]); ?></span>
                            </div>
                        </div>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.event.description')); ?></label>
                            <div class="col-lg-8">
                                <span class="fs-4 text-gray-800"><?php echo $eventSchedule->description ?? 'N/A'; ?></span>
                            </div>
                        </div>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.schedule_event.scheduled_time')); ?></label>
                            <div class="col-lg-8">
                                <span class="fs-4 text-gray-800"><?php echo e($eventSchedule->slot_time); ?></span>
                            </div>
                        </div>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.schedule_event.status')); ?></label>
                            <div class="col-lg-8">
                                <span class="badge bg-light-<?php echo e(getBadgeColors($eventSchedule->status)); ?> "><?php echo e(\App\Models\EventSchedule::STATUS[$eventSchedule->status]); ?></span>
                            </div>
                        </div>
                        <?php if($eventSchedule->payment_type && $eventSchedule->event->event_type == \App\Models\Event::PAID): ?>
                            <div class="row mb-7">
                                <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.schedule_event.payment_type')); ?></label>
                                <div class="col-lg-8">
                                    <?php if($eventSchedule->payment_type == \App\Models\EventSchedule::STRIPE): ?>
                                        <span class="badge bg-light-success"><?php echo e(\App\Models\EventSchedule::PAYMENT_METHOD[$eventSchedule->payment_type]); ?></span>
                                    <?php elseif($eventSchedule->payment_type == \App\Models\EventSchedule::PAYPAL): ?>
                                        <span class="badge bg-light-primary"><?php echo e(\App\Models\EventSchedule::PAYMENT_METHOD[$eventSchedule->payment_type]); ?></span>
                                    <?php elseif($eventSchedule->payment_type == \App\Models\EventSchedule::PAYSTACK): ?>
                                        <span class="badge bg-light-primary"><?php echo e(\App\Models\EventSchedule::PAYMENT_METHOD[$eventSchedule->payment_type]); ?></span>
                                    <?php elseif($eventSchedule->payment_type == \App\Models\EventSchedule::RAZORPAY): ?>
                                        <span class="badge bg-light-primary"><?php echo e(\App\Models\EventSchedule::PAYMENT_METHOD[$eventSchedule->payment_type]); ?></span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        <?php endif; ?>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.schedule_event.cancel_reason')); ?></label>
                            <div class="col-lg-8">
                                <span class="fs-4 text-gray-800"><?php echo e($eventSchedule->cancel_reason ?? 'N/A'); ?></span>
                            </div>
                        </div>
            <div class="row mb-7">
                <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.common.created_at')); ?></label>
                <div class="col-lg-8">
                                <span class="fs-4 text-gray-800 " data-bs-toggle="tooltip"
                                      data-bs-placement="right"
                                      title="<?php echo e(\Carbon\Carbon::parse($eventSchedule->created_at)->translatedFormat('jS M Y')); ?>"><?php echo e($eventSchedule->created_at->diffForHumans()); ?></span>
                </div>
            </div>
            <div class="row mb-7">
                <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.common.last_updated')); ?></label>
                <div class="col-lg-8">
                                <span class="fs-4 text-gray-800" data-bs-toggle="tooltip"
                                      data-bs-placement="right"
                                      title="<?php echo e(\Carbon\Carbon::parse($eventSchedule->updated_at)->translatedFormat('jS M Y')); ?>"><?php echo e($eventSchedule->updated_at->diffForHumans()); ?></span>
                </div>
            </div>
            <?php if($eventSchedule->status == \App\Models\EventSchedule::HOLD): ?>
                <div class="row mb-7">
                    <label class="col-lg-4 fs-4 text-gray-600"></label>
                    <div class="col-lg-8">
                        <a href="<?php echo e(route('remove.hold.status.user', $eventSchedule->id)); ?>"
                           class="btn btn-primary"><?php echo e(__('messages.remove_hold_status')); ?></a>
                    </div>
                </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/schedule_event/show_fields.blade.php ENDPATH**/ ?>