<?php $__env->startSection('title'); ?>
    <?php echo e(__('messages.sign_up')); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="d-flex flex-column flex-column-fluid align-items-center justify-content-center p-4">
        <div class="col-12 text-center">
            <a href="<?php echo e(route('frontHome')); ?>" class="image mb-7 mb-sm-10">
                <img alt="Logo" src="<?php echo e(asset(getSettingData()['logo'])); ?>" class="logo">
            </a>
        </div>
        <div class="width-540">
            <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->make('layouts.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
        <p class="text-center"><?php echo e(__('messages.sign_up_with')); ?><?php echo e(getSettingData()['application_name']); ?></p>
        <div class="bg-white rounded-15 shadow-md width-540 px-5 px-sm-7 py-10 mx-auto">
            <form method="POST" action="<?php echo e(route('sign.up')); ?>">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col-md-6 mb-sm-7 mb-4">
                        <label for="formInputFirstName" class="form-label">
                            <?php echo e(__('messages.user.first_name') . ':'); ?><span class="required"></span>
                        </label>
                        <input id="fName" class="form-control" type="text" name="first_name" required
                            placeholder="<?php echo e(__('messages.user.first_name')); ?>">
                    </div>
                    <div class="col-md-6 mb-sm-7 mb-4">
                        <label for="last_name" class="form-label">
                            <?php echo e(__('messages.user.last_name') . ':'); ?><span class="required"></span>
                        </label>
                        <input id="lName" class="form-control" type="text" name="last_name"
                            placeholder="<?php echo e(__('messages.user.last_name')); ?>" required>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 mb-sm-7 mb-4">
                        <label for="email" class="form-label">
                            <?php echo e(__('messages.user.email') . ':'); ?><span class="required"></span>
                        </label>
                        <input id="email" class="form-control" type="email" name="email"
                            placeholder="<?php echo e(__('messages.user.email')); ?>" required value="<?php echo e(session('email') ?? ''); ?>">
                    </div>
                </div>
                <div class="mb-5 fv-row">
                    <div class="row">
                        <div class="col-md-6 mb-sm-7 mb-4 position-relative">
                            <label for="password" class="form-label">
                                <?php echo e(__('messages.user.password') . ':'); ?><span class="required"></span>
                            </label>
                            <input class="form-control" type="password" name="password" id="password"
                                placeholder="<?php echo e(__('messages.user.password')); ?>" required>
                            <span
                                class="position-absolute d-flex align-items-center top-0 mt-7 bottom-0 end-0 me-6 input-icon input-password-hide cursor-pointer text-gray-600 change-type">
                                <i class="fas fa-eye-slash"></i>
                            </span>
                        </div>
                        <div class="col-md-6 mb-sm-7 mb-4 position-relative">
                            <label for="password_confirmation" class="form-label">
                                <?php echo e(__('messages.user.confirm_password') . ':'); ?><span class="required"></span>
                            </label>
                            <input id="password_confirmation" class="form-control" type="password"
                                name="password_confirmation" placeholder="<?php echo e(__('messages.user.confirm_password')); ?>"
                                required>
                            <span
                                class="position-absolute d-flex align-items-center top-0 mt-7 bottom-0 end-0 me-6 input-icon input-password-hide cursor-pointer text-gray-600 change-type">
                                <i class="fas fa-eye-slash"></i>
                            </span>
                        </div>
                        <div class="mb-sm-7 mb-4 d-flex justify-content-center">
                            <?php if(getSuperAdminSettingKeyValue('enable_google_recaptcha')): ?>
                                    <div class="form-group mb-4">
                                        <div class="g-recaptcha" data-sitekey="<?php echo e(getSuperAdminSettingKeyValue('google_captcha_key')); ?>"></div>
                                    </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="d-grid mb-5">
                        <button type="submit" class="btn btn-primary"><?php echo e(__('messages.common.submit')); ?></button>
                    </div>
                    <p><?php echo e(__('messages.web.already_have_an_account')); ?>? <a href="<?php echo e(route('login')); ?>"
                            class="text-decoration-none"><?php echo e(__('messages.web.sign_in_here')); ?></a>
                    </p>
                </div>
            </form>
        </div>
        <p class="pt-7 m-0 fs-7"><?php echo e(__('messages.creating')); ?> <?php echo e(getSettingData()['application_name']); ?> <?php echo e(__('messages.user.account')); ?> <a
                href="<?php echo e(route('terms.conditions')); ?>" class="text-decoration-none"
                target="_blank"><?php echo e(__('messages.cms_setting.terms_conditions')); ?></a>
            <?php echo e(__('and')); ?>

            <a href="<?php echo e(route('privacy.policy')); ?>" class="text-decoration-none"
                target="_blank"><?php echo e(__('messages.privacy_policy')); ?></a>
        </p>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/vairtnet/public_html/appointment/resources/views/stepper/front_sign_up.blade.php ENDPATH**/ ?>