<?php $__env->startSection('title'); ?>
    <?php echo e(__('messages.setting.connect_google_calendar')); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="d-flex flex-column">
            <?php if(getLogInUser()->hasRole('user')): ?>
                <?php if(!isset($data['checkTimeZone']->timezone)): ?>
                    <div class="py-5">
                        <div class="d-flex align-items-center rounded py-5 px-5 bg-light-danger">
                        <span class="svg-icon svg-icon-3x svg-icon-danger me-5">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                 viewBox="0 0 24 24" fill="none">
                                <rect opacity="0.3" x="2" y="2" width="20" height="20"
                                      rx="10" fill="black"></rect>
                                <rect x="11" y="14" width="7" height="2" rx="1"
                                      transform="rotate(-90 11 14)" fill="black"></rect>
                                <rect x="11" y="17" width="2" height="2" rx="1"
                                      transform="rotate(-90 11 17)" fill="black"></rect>
                            </svg>
                        </span>
                            <div class="text-gray-700 text-danger fw-bold fs-6">Note: You must need to set your timezone
                                before integrating Google Calendar.
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            <?php endif; ?>
            <div class="card mb-5 mb-xl-10">
                <?php if(!$data['googleCalendarIntegrationExists']): ?>
                    <div class="card-header border-0 justify-content-center cursor-pointer">
                        <div class="card-title m-0">
                            <?php if(getLogInUser()->hasRole('user')): ?>
                                <?php if(!isset(getLogInUser()->timezone)): ?>
                                    <a href="<?php echo e(route('googleAuth')); ?>" data-turbo="false"
                                       class="btn btn-primary m-0 disabled"><?php echo e(__('messages.setting.connect_your_google_calendar')); ?></a>
                                <?php else: ?>
                                    <a href="<?php echo e(route('googleAuth')); ?>" data-turbo="false"
                                       class="btn btn-primary m-0"><?php echo e(__('messages.setting.connect_your_google_calendar')); ?></a>
                                <?php endif; ?>
                            <?php else: ?>
                                <a href="<?php echo e(route('googleAuth')); ?>" data-turbo="false"
                                   class="btn btn-primary m-0"><?php echo e(__('messages.setting.connect_your_google_calendar')); ?></a>
                            <?php endif; ?>
                        </div>
                    </div>
                <?php else: ?>
                    <div class="card-header border-0">
                        <div class="card-title m-0">
                            <span class="fs-5 fw-bold mt-3"><?php echo e(__('messages.setting.select_your_calendars_from_google_calendar_in_which_you_want_to_create_the_appointments')); ?>.</span>
                        </div>
                    </div>
                    <div class="row">
                        <?php echo e(Form::open(['id' => 'googleCalendarForm'])); ?>

                        <div class="col-12">
                            <div class="card-body p-12">
                                <?php $__currentLoopData = $data['googleCalendarLists']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $googleCalendarList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="row mb-3">
                                        <div class="d-flex align-items-center">
                                            <?php echo e(Form::checkbox('google_calendar[]', $googleCalendarList->id, \App\Models\EventGoogleCalendar::whereGoogleCalendarListId($googleCalendarList->id)->exists(), ['class' => 'form-check-input me-5 google-calendar','id' => 'checkedId'.($key+1) ])); ?>

                                            <label class=" cursor-pointer"
                                                   for="checkedId<?php echo e($key+1); ?>">
                                                <span><?php echo e($googleCalendarList->calendar_name); ?></span>
                                            </label>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <div class="pt-5 mt-5">
                                    <div class="d-flex flex-sm-wrap flex-wrap">
                                        <?php echo e(Form::submit(__('messages.common.save'),['class' => 'btn btn-primary me-2 mb-md-0 mb-2','id'=>'googleCalendarSubmitBtn'])); ?>

                                        <a id="syncGoogleCalendar"
                                           class="me-2 btn btn-primary me-2 mb-md-0 mb-2">
                                            <?php echo e(__('messages.setting.sync_your_google_calendar')); ?>

                                        </a>
                                        <a href="<?php echo e(route('disconnectCalendar.destroy')); ?>" data-turbo="false"
                                           class="btn btn-danger m-0"><?php echo e(__('messages.setting.disconnect_your_google_calendar')); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php echo e(Form::close()); ?>

                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/vairtnet/public_html/appointment/resources/views/connect_google_calendar/index.blade.php ENDPATH**/ ?>