<?php (
    $scheduleName = getLogInUser()->schedule()->where('id', $scheduleId)->first()->schedule_name
); ?>
<div>
    <div class="d-flex mt-3 mb-5 align-items-center">
        <div class="ms-6 me-5">
            <h2 class="fs-4"><?php echo e($scheduleName); ?></h2>
            <!--[if BLOCK]><![endif]--><?php if(defaultUserSchedule() == $scheduleId): ?>
                <span class=""><i class="fa fa-star me-2 fs-3"
                        style="color: #f2ce0e"></i><?php echo e(__('messages.schedule.default_schedule')); ?></span>
            <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
        </div>
        <!--[if BLOCK]><![endif]--><?php if(defaultUserSchedule() != $scheduleId): ?>
            <div class="d-flex mb-3 me-6">
                <a href="javascript:void(0)" data-id="<?php echo e($scheduleId); ?>"
                    class="btn px-2 text-primary fs-3 ps-0 edit-schedule" title="Edit">
                    <i class="fa-solid fa-pen-to-square"></i>
                </a>
                <a href="javascript:void(0)" data-id="<?php echo e($scheduleId); ?>"
                    class="btn px-2 text-danger fs-3 pe-0 delete-schedule" title="<?php echo e(__('messages.common.delete')); ?>">
                    <i class="fa-solid fa-trash"></i>
                </a>
            </div>
        <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
    </div>

    <?php ($weekDays = App\Models\UserSchedule::WEEKDAY_FULL_NAME); ?>
    <!--[if BLOCK]><![endif]--><?php $__currentLoopData = App\Models\UserSchedule::WEEKDAY; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $day => $shortWeekDay): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php ($isValid = isset($scheduleWeekDays) && $scheduleWeekDays->where('day_of_week', '=', $day)->count() != 0); ?>
        <?php ($clinicScheduleDay = $scheduleWeekDays->where('day_of_week', '=', $day)->first()); ?>
        <div class="">
            <div class="weekly-content" data-day="<?php echo e($day); ?>">
                <div class="d-flex w-100 align-items-center position-relative">
                    <div class="d-flex flex-md-row flex-column w-100 weekly-row align-items-md-center">
                        <div class="form-check  mb-0 checkbox-content d-flex align-items-center">
                            <input id="chkShortWeekDay_<?php echo e($shortWeekDay); ?>" class="form-check-input" type="checkbox"
                                value="<?php echo e($day); ?>" name="checked_week_days[]"
                                <?php if(isset($scheduleWeekDays)): ?> <?php if($isValid): ?>
                                   checked="checked"
                                   <?php else: ?>
                                   disabled <?php endif; ?>
                        <?php elseif(!$loop->last && $clinicScheduleDay): ?> checked="checked" <?php else: ?> disabled <?php endif; ?>>
                        <label class="form-check-label ms-3" for="chkShortWeekDay_<?php echo e($shortWeekDay); ?>">
                            <span
                                class="fs-5 fw-bold d-md-block d-none"><?php echo e(strtoupper(__('messages.common.' . strtolower($shortWeekDay)))); ?></span>
                        </label>
                    </div>
                    <!--[if BLOCK]><![endif]--><?php if(isset($scheduleWeekDays)): ?>
                        <!--[if BLOCK]><![endif]--><?php if(!$isValid): ?>
                            <div class="unavailable-time mx-2"><?php echo e(__('messages.schedule.unavailable')); ?></div>
                        <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                    <?php elseif($loop->last || !$clinicScheduleDay): ?>
                        <div class="unavailable-time mx-2"><?php echo e(__('messages.schedule.unavailable')); ?></div>
                    <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                    <div class="session-times mt-3">
                        <!--[if BLOCK]><![endif]--><?php if($clinicScheduleDay): ?>
                            <!--[if BLOCK]><![endif]--><?php if(isset($scheduleWeekDays) && $scheduleWeekDays->count()): ?>
                                <!--[if BLOCK]><![endif]--><?php $__currentLoopData = $scheduleWeekDays->where('day_of_week', $day); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $weekDaySlot): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php echo $__env->make('events.slot', [
                                        'timeArr' => getConstTimeArr(),
                                        'day' => $day,
                                        'weekDaySlot' => $weekDaySlot,
                                    ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!--[if ENDBLOCK]><![endif]-->
                            <?php else: ?>
                                <!--[if BLOCK]><![endif]--><?php if(!$loop->last): ?>
                                    <!--[if BLOCK]><![endif]--><?php if(!isset($scheduleWeekDays) || $isValid): ?>
                                        <?php echo $__env->make('events.slot', [
                                            'timeArr' => getConstTimeArr(),
                                            'day' => $day,
                                        ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                                <?php else: ?>
                                    <div class="session-time"></div>
                                <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                            <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                        <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                    </div>
                </div>
                <!--[if BLOCK]><![endif]--><?php if($clinicScheduleDay): ?>
                    <div class="weekly-icon position-absolute end-0 d-flex align-items-center">
                        <a href="javascript:void(0)" class="add-session-time btn px-2 text-gray-600 fs-2"
                            data-bs-toggle="tooltip" title="<?php echo e(__('messages.common.add')); ?>">
                            <i class="fa-solid fa-plus"></i>
                        </a>
                        <div class="dropdown d-flex align-items-center">
                            <button class="btn dropdown-toggle copy-days-btn ps-2 pe-0 hide-arrow" type="button"
                                id="dropdownCopyMenu-<?php echo e($day); ?>" data-bs-toggle="dropdown"
                                aria-expanded="false" data-bs-auto-close="outside">
                                <i class="fa-solid fa-copy text-gray-600 fs-2"></i>
                            </button>
                            <div class="dropdown-menu copy-menu py-0 rounded-10 min-width-220"
                                aria-labelledby="dropdownCopyMenu-<?php echo e($day); ?>">
                                <div class="p-5 menu-content">
                                    <!--[if BLOCK]><![endif]--><?php $__currentLoopData = $weekDays; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $weekDayKey => $weekDay): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <!--[if BLOCK]><![endif]--><?php if($day != $weekDayKey): ?>
                                            <div
                                                class="mb-5 form-check ps-0 d-flex align-items-center justify-content-between copy-label">
                                                <label class="form-check-label text-gray-900"
                                                    for="chkCopyDay_<?php echo e($shortWeekDay); ?>_<?php echo e($weekDay); ?>"><?php echo e($weekDay); ?></label>
                                                <input type="checkbox"
                                                    id="chkCopyDay_<?php echo e($shortWeekDay); ?>_<?php echo e($weekDay); ?>"
                                                    class="form-check-input float-none copy-check-input ms-0"
                                                    value="<?php echo e($weekDayKey); ?>">
                                            </div>
                                        <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!--[if ENDBLOCK]><![endif]-->
                                    <button type="button" data-copy-day="<?php echo e($day); ?>"
                                        class="btn btn-primary copy-btn w-100"><?php echo e(__('messages.schedule.copy')); ?></button>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
            </div>
        </div>
    </div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!--[if ENDBLOCK]><![endif]-->
</div>
<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/livewire/schedules.blade.php ENDPATH**/ ?>