<!-- start subscribe section -->
<section class="subscribe-section p-b-100 p-t-100">
    <div class="container">
        <div class="col-12 bg-light rounded-50 p-60">
            <div class="row align-items-center">
                <div class="col-xxl-7 col-lg-5">
                    <h2><?php echo e(__('messages.subscribe_now')); ?>.</h2>
                    <h4 class="text-primary mb-0"><?php echo e(__('messages.start_free_trial')); ?></h4>
                </div>
                <div class="col-xxl-5 col-lg-7 mt-4 mt-lg-0">
                    <?php echo e(Form::open(['route' => 'subscribe.store','id' => 'subscribeForm'])); ?>

                    <div class="subscribe-inputgrp position-relative">
                        <input name="email" type="email" class="form-control subscribe-input"
                               placeholder="<?php echo e(__('messages.web.email_address')); ?>" required>
                        <div class="subscribe-btn d-flex align-items-center">
                            <button type="submit" class="btn btn-primary"
                                    id="btnSaveSubscribe"><?php echo e(__('messages.subscribe')); ?></button>
                        </div>
                    </div>
                    <?php echo e(Form::close()); ?>

                </div>
            </div>
        </div>
    </div>
</section>
<!-- end subscribe section -->
<footer class="bg-light">
    <div class="container">
        <div class="row">
            <div class="col-lg-4 col-md-6 mb-md-0 mb-3">
                <a href="<?php echo e(route('frontHome')); ?>">
                    <img src="<?php echo e(asset(getSettingData()['logo'])); ?>" alt="" class="img-fluid footer-logo" loading="lazy">
                </a>
                <ul class="d-flex ps-0 social-list">
                    <?php if(!empty($frontCMSSettings['facebook_url'])): ?>
                        <li class="d-flex align-items-center justify-content-center">
                            <a href="<?php echo e($frontCMSSettings['twitter_url']); ?>"
                               class="text-decoration-none d-block text-white" target="_blank">
                                <i class="fa-brands fa-twitter fs-5"></i>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if(!empty($frontCMSSettings['facebook_url'])): ?>
                        <li class="d-flex align-items-center justify-content-center">
                            <a href="<?php echo e($frontCMSSettings['facebook_url']); ?>"
                               class="text-decoration-none d-block text-white" target="_blank">
                                <i class="fa-brands fa-facebook-f fs-5"></i>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if(!empty($frontCMSSettings['instagram_url'])): ?>
                        <li class="d-flex align-items-center justify-content-center">
                            <a href="<?php echo e($frontCMSSettings['instagram_url']); ?>"
                               class="text-decoration-none d-block text-white" target="_blank">
                                <i class="fa-brands fa-instagram fs-5"></i>
                            </a>
                        </li>
                    <?php endif; ?>
                </ul>

            </div>
            <div class="col-lg-4 col-md-6 mb-md-0 mb-3">
                <h3 class="mb-4 pb-1"><?php echo e(__('messages.services')); ?></h3>
                    <ul class="ps-0">
                        <li>
                            <a href="<?php echo e(route('pricing')); ?>"
                            class="text-decoration-none  mb-3 d-block fw-light <?php echo e(Request::is('pricing*') ? 'active' : 'text-secondary'); ?>"><?php echo e(__('messages.pricing')); ?></a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('about-us')); ?>"  class="text-decoration-none  mb-3 d-block fw-light <?php echo e(Request::is('about-us*') ? 'active' : 'text-secondary'); ?>"><?php echo e(__('messages.about_us.about_us')); ?></a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('contact-us')); ?>"  class="text-decoration-none  mb-3 d-block fw-light <?php echo e(Request::is('contact-us*') ? 'active' : 'text-secondary'); ?>"><?php echo e(__('messages.contact_us')); ?>

                            </a></li>
                        <li>
                            <a href="<?php echo e(route('faq')); ?>" class="text-decoration-none  mb-3 d-block fw-light <?php echo e(Request::is('faq*') ? 'active' : 'text-secondary'); ?>"><?php echo e(__('messages.faqs')); ?></a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('terms.conditions')); ?>"
                               class="text-decoration-none  mb-3 d-block fw-light <?php echo e(request()->routeIs('terms.conditions') ? 'active' : 'text-secondary'); ?>"><?php echo e(__('messages.terms_conditions')); ?></a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('privacy.policy')); ?>"
                               class="text-decoration-none  mb-3 d-block fw-light <?php echo e(request()->routeIs('privacy.policy') ? 'active' : 'text-secondary'); ?>"><?php echo e((__('messages.privacy_policy'))); ?></a>
                        </li>
                    </ul>
            </div>
            <div class="col-lg-4 col-12">
                <h3 class="mb-4 pb-1"><?php echo e(__('messages.common.address')); ?></h3>
                    <div class="footer-info">
                        <div class="d-flex align-items-center footer-info__block mb-3 pb-1">
                            <i class="fa-solid fa-envelope text-primary fs-5 me-3"></i>
                            <a href="mailto:<?php echo e($frontCMSSettings['email']); ?>" class="text-decoration-none text-secondary fs-6">
                                <?php echo e($frontCMSSettings['email']); ?>

                            </a>
                        </div>
                        <div class="d-flex align-items-center footer-info__block mb-3 pb-1">
                            <i class="fa-solid fa-phone text-primary fs-5 me-3"></i>
                            <a href="tel:+<?php echo e($frontCMSSettings['region_code']); ?> <?php echo e($frontCMSSettings['phone']); ?>" class="text-decoration-none text-secondary fs-6">
                                +<?php echo e($frontCMSSettings['region_code']); ?> <?php echo e($frontCMSSettings['phone']); ?>

                            </a>
                        </div>
                    </div>

            </div>
            <div class="col-12 text-center mt-lg-5 mt-4 copy-right">
                <p class="fw-light py-4 mb-0"><?php echo e(__('messages.copyright')); ?> ©<?php echo e(\Carbon\Carbon::now()->year); ?> <?php echo e(getSettingData()['application_name']); ?></p>
            </div>
        </div>
    </div>
</footer>
<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/fronts/layouts/footer.blade.php ENDPATH**/ ?>