<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(getSettingData()['application_name']); ?></title>
    <!-- Favicon -->
    <link rel="icon" href="<?php echo e(asset(getSettingData()['favicon'])); ?>" type="image/png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <!-- General CSS Files -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/new-theme.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/third-party.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/style.css')); ?>">
    <!-- CSS Libraries -->
    <?php echo $__env->yieldContent('css'); ?>
    <link href="<?php echo e(mix('assets/css/front/custom.css')); ?>" rel="stylesheet" type="text/css"/>
</head>
<?php
    $styleCss = 'style';
?>
<body style="overflow-x:hidden;">
<div class="d-flex flex-column flex-root vh-100">
    <div class="d-flex flex-row flex-column-fluid">
        <div class="d-flex flex-column flex-row-fluid">
            <div class="content d-flex flex-column flex-column-fluid">
                <div class='p-sm-10 flex-column-fluid'>
                    <?php echo $__env->yieldContent('content'); ?>
                </div>
            </div>
            <div class='container-fluid'>
                <?php echo $__env->make('stepper.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        </div>
    </div>
</div>
<script src="<?php echo e(asset('assets/js/new-theme.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/third-party.js')); ?>"></script>
<script src="<?php echo e(mix('assets/js/custom/helper.js')); ?>"></script>
<script src="<?php echo e(mix('assets/js/custom/custom.js')); ?>"></script>
<script src="<?php echo e(asset('messages.js')); ?>"></script>
<script>
    $(document).ready(function () {
        let currentLocale = "<?php echo e(Config::get('app.locale')); ?>"
        if (currentLocale == '') {
            currentLocale = 'en'
        }
        Lang.setLocale(currentLocale)
        $('.alert').delay(5000).slideUp(300)
    })
</script>
<?php echo app('Tightenco\Ziggy\BladeRouteGenerator')->generate(); ?>
<?php echo $__env->yieldContent('page_js'); ?>
<?php echo $__env->yieldContent('scripts'); ?>
</body>
</html>

<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/stepper/app.blade.php ENDPATH**/ ?>