<?php $__env->startSection('front-title'); ?>
    <?php echo e(__('messages.contact_us')); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('front-css'); ?>
    <link href="<?php echo e(asset('front/css/contact.css')); ?>" rel="stylesheet" type="text/css">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('front-content'); ?>
    <div class="contact-page">
        <!-- start services section -->
        <section class="contact-info-section p-t-100 p-b-100">
            <div class="container">
                <h2 class="m-b-60 max-w-620 text-center mx-auto"><?php echo e($services['main_title']); ?></h2>
                <div class="row justify-content-center p-t-60">
                    <div class="col-xl-4 col-md-6 contact-info-block">
                        <div class="card contact-info-inner text-center mx-lg-2 h-100">
                            <div class="card-body">
                                <div class="contact-info-icon pb-3 mb-4">
                                    <img src="<?php echo e(asset('front/images/location.png')); ?>" alt="Location"
                                         class="img-fluid" loading="lazy">
                                </div>
                                <h4 class="mb-3"><?php echo e(__('messages.web.location')); ?></h4>
                                <p class="fs-6 text-secondary fw-light mb-0">
                                    <?php echo e(__( $frontCMSSettings['address'])); ?>

                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-4 col-md-6 contact-info-block mt-md-0 mt-4">
                        <div class="card contact-info-inner text-center mx-lg-2 h-100">
                            <div class="card-body">
                                <div class="contact-info-icon pb-3 mb-4">
                                    <img src="<?php echo e(asset('front/images/contact.png')); ?>" alt="Contact" class="img-fluid" loading="lazy">
                                </div>
                                <h4 class="mb-3"><?php echo e(__('messages.cms_setting.contact')); ?></h4>
                                <div class="mb-2">
                                    <a href="mailto:<?php echo e($frontCMSSettings['email']); ?>"
                                       class="text-decoration-none text-secondary fs-6">
                                        <?php echo e($frontCMSSettings['email']); ?>

                                    </a>
                                </div>
                                <div>
                                    <a href="tel:+<?php echo e($frontCMSSettings['region_code']); ?> <?php echo e($frontCMSSettings['phone']); ?>"
                                       class="text-decoration-none text-secondary fs-6">
                                        +<?php echo e($frontCMSSettings['region_code']); ?> <?php echo e($frontCMSSettings['phone']); ?>

                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-4 col-md-6 contact-info-block mt-xl-0 mt-4 pt-xl-0 pt-lg-3">
                        <div class="card contact-info-inner text-center mx-lg-2 h-100">
                            <div class="card-body">
                                <div class="contact-info-icon pb-3 mb-4">
                                    <img src="<?php echo e(asset('front/images/social.png')); ?>" alt="Social" class="img-fluid" loading="lazy">
                                </div>
                                <h4 class="mb-3"><?php echo e(__('messages.web.social_media')); ?></h4>
                                <div class="">
                                    <p class="fs-6 text-secondary fw-light mb-0">
                                        <?php echo e(__('messages.web.find_on_social_media')); ?>

                                    </p>
                                    <ul class="d-flex ps-0 social-list justify-content-center">
                                        <?php if(!empty($frontCMSSettings['twitter_url'])): ?>
                                            <li class="d-flex align-items-center justify-content-center">
                                                <a href="<?php echo e($frontCMSSettings['twitter_url']); ?>" target="_blank"
                                                   class="text-decoration-none d-block text-white">
                                                    <i class="fa-brands fa-twitter fs-5"></i>
                                                </a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(!empty($frontCMSSettings['facebook_url'])): ?>
                                            <li class="d-flex align-items-center justify-content-center">
                                                <a href="<?php echo e($frontCMSSettings['facebook_url']); ?>" target="_blank"
                                                   class="text-decoration-none d-block text-white">
                                                    <i class="fa-brands fa-facebook-f fs-5"></i>
                                                </a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(!empty($frontCMSSettings['instagram_url'])): ?>
                                            <li class="d-flex align-items-center justify-content-center">
                                                <a href="<?php echo e($frontCMSSettings['instagram_url']); ?>" target="_blank"
                                                   class="text-decoration-none d-block text-white">
                                                    <i class="fa-brands fa-instagram fs-5"></i>
                                                </a>
                                            </li>
                                        <?php endif; ?>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- end services section -->

        <!-- start contact-form section -->
        <section class="bg-primary contact-form-section">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-6">
                        <form class="contact-form" method="post" id="contactForm">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="contact-form__input-block">
                                        <input name="first_name" id="name" type="text" class="form-control"
                                               placeholder="<?php echo e(__('messages.user.first_name')); ?>">
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="contact-form__input-block">
                                        <input name="last_name" id="name" type="text" class="form-control"
                                               placeholder="<?php echo e(__('messages.user.last_name')); ?>">
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="contact-form__input-block">
                                        <input name="email" id="email" type="email" class="form-control"
                                               placeholder="<?php echo e(__('messages.web.email_address')); ?>">
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="contact-form__input-block">
                                        <textarea name="message" id="message" rows="4"
                                                  class="form-control form-textarea"
                                                  placeholder="<?php echo e(__('messages.web.your_message')); ?>"></textarea>
                                    </div>
                                </div>
                                <div class="col-lg-12 text-center mt-4 mb-5">
                                    <button type="submit" class="btn btn-outline-light"
                                            id="contactSubmitBtn"><?php echo e(__('messages.web.send_message')); ?></button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="col-lg-6 text-lg-end text-center d-none d-lg-block">
                        <img src="<?php echo e(asset('front/images/contact-hero.png')); ?>" alt="" class="img-fluid" loading="lazy"/>
                    </div>
                </div>
            </div>
        </section>
        <!-- end contact-form section -->
        <?php $__env->stopSection(); ?>

<?php echo $__env->make('fronts.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/vairtnet/public_html/appointment/resources/views/fronts/contact_us.blade.php ENDPATH**/ ?>