<?php $__env->startSection('title'); ?>
    <?php echo e(__('messages.event.slot_calendar')); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="d-flex flex-center flex-column flex-column-fluid py-4 calendar-container">
                <div class="w-100 rounded">
                    <div>
                        <div class="d-flex justify-content-between flex-md-row flex-column">
                            <div class="card shadow-sm header-card p-6">
                                <div class="card-body p-0">
                                    <div class="text-center px-2 d-sm-flex">
                                        <div
                                            class="d-flex justify-content-center align-items-center calendar-container__profile calendar-container__card shadow-sm">
                                            <div
                                                class="calendar-container__user p-5 d-flex align-items-center justify-content-center flex-column">
                                                <img src="<?php echo e($event->user->profile_image); ?>" alt="logo"
                                                    class="img-fluid user-image rounded-circle object-cover">
                                                <span
                                                    class="fs-2 mt-5 fw-bold text-center d-block user-name"><?php echo e($event->user->first_name . ' ' . $event->user->last_name); ?></span>
                                            </div>
                                        </div>
                                        <div
                                            class="row justify-content-center ms-sm-5 mt-sm-0 mt-5 me-0 ms-0 calendar-container__grid">
                                            <div
                                                class="mb-5 calendar-container__card shadow-sm d-flex justify-content-center align-items-center p-5">
                                                <i class="fas fa-clock fs-1"></i>
                                                <span class="fs-2 fw-bold ms-5"><?php echo e($event->slot_time); ?> min</span>
                                            </div>
                                            <div
                                                class="calendar-container__card shadow-sm d-flex justify-content-center align-items-center p-5">
                                                <?php if($event->event_location == \App\Models\Event::IN_PERSON_MEETING): ?>
                                                    <?php ($location = json_decode($event->location_meta)); ?>
                                                    <i class="fas fa-map-marker-alt fs-1"></i>
                                                    <span class="fs-2 fw-bold ms-5"><?php echo e($location[1]); ?></span>
                                                <?php elseif($event->event_location == \App\Models\Event::PHONE_CALL): ?>
                                                    <?php ($phoneCallNumber = json_decode($event->location_meta)); ?>
                                                    <?php if(count($phoneCallNumber) > 0 && !empty($phoneCallNumber[1])): ?>
                                                        <?php if(!empty($phoneCallNumber[2]) && $phoneCallNumber[1] == 2): ?>
                                                            <i class="fa-solid fa-phone fs-1"></i>
                                                            <span class="fs-2 fw-bold ms-5"><?php echo e($phoneCallNumber[2]); ?></span>
                                                        <?php else: ?>
                                                            <i class="fa-solid fa-phone fs-1"></i>
                                                            <span
                                                                class="fs-2 fw-bold ms-5"><?php echo e(\App\Models\Event::LOCATION_ARRAY[$event->event_location]); ?></span>
                                                        <?php endif; ?>
                                                    <?php else: ?>
                                                        <i class="fa-solid fa-phone fs-1"></i>
                                                        <span
                                                            class="fs-2 fw-bold ms-5"><?php echo e(\App\Models\Event::LOCATION_ARRAY[$event->event_location]); ?></span>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                <?php ($location = json_decode($event->location_meta)); ?>
                                                <?php if(!empty($location)): ?>
                                                      <?php if(count($location) > 0 && $location[0] == 3): ?>
                                                        <img src="<?php echo e(asset('assets/images/logo_google_meet.svg')); ?>"
                                                            alt="logo" width="25px" height="25px">
                                                        <span
                                                            class="fs-2 fw-bold ms-2"><?php echo e(\App\Models\Event::LOCATION_ARRAY[$location[0]]); ?></span>
                                                    <?php else: ?>
                                                        <?php echo e(__('messages.common.n/a')); ?>

                                                    <?php endif; ?>
                                                <?php endif; ?>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card shadow-sm header-card p-6">
                                <div class="calendar-container__header">
                                    <span class="fs-3 text-center d-block"><?php echo e($event->name); ?></span>
                                </div>
                                <?php if(!empty($event->description)): ?>
                                    <div class="calendar-container__description">
                                        <span class="fs-3"><?php echo $event->description; ?></span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="card shadow-sm mt-5">
                            <div class="container card-body p-sm-8 p-2">
                                <div id="calendar"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
    <script data-turbo-eval="false">
        let currentUTCDate =
            "<?php echo e(isset(getLogInUser()->timezone) ? \App\Models\User::TIME_ZONE_ARRAY[getLogInUser()->timezone] : \App\Models\User::TIME_ZONE_ARRAY[getTimeZone()]); ?>"
        let eventSchedules = <?php echo json_encode($data, 15, 512) ?>;
        let months = "<?php echo e($month); ?>"
        let year = "<?php echo e($slotYear); ?>"
        let userLanguage = "<?php echo e($event->user->language); ?>"
        let slotCalendarUrl = "<?php echo e(Request::root() . '/s/' . $event->user->domain_url . '/' . $event->event_link); ?>"
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/vairtnet/public_html/appointment/resources/views/events/slots_calendar.blade.php ENDPATH**/ ?>