<div class="overflow-hidden">
    <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
        <li class="nav-item mb-3" role="presentation">
            <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill"
                    data-bs-target="#eventDetail" type="button" role="tab" aria-controls="pills-home"
                    aria-selected="true"><?php echo e(__('messages.event.event_detail')); ?>

            </button>
        </li>
        <li class="nav-item" role="presentation">
            <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill"
                    data-bs-target="#scheduledEvent" type="button" role="tab"
                    aria-controls="pills-profile" aria-selected="false"><?php echo e(__('messages.schedule_events')); ?>

            </button>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="eventDetail" role="tabpanel">
            <div class="card">
                <div>
                    <div class="card-body">
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.event.event_name')); ?></label>
                            <div class="col-lg-8">
                                <span class="fs-4 text-gray-800"><?php echo e($event->name); ?></span>
                            </div>
                        </div>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.event.location')); ?></label>
                            <div class="col-lg-8 fv-row">
                                <span class="fs-4 text-gray-800"><?php echo e(\App\Models\Event::LOCATION_ARRAY[$event->event_location]); ?></span>
                            </div>
                        </div>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.event.event_landing_page')); ?></label>
                            <div class="col-lg-8">
                                <span class="fs-4 text-gray-800"><?php echo e($event->event_link); ?></span>
                            </div>
                        </div>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.event.event_type')); ?></label>
                            <div class="col-lg-8">
                                <?php if($event->event_type == \App\Models\Event::FREE): ?>
                                    <span class="badge bg-info"><?php echo e(\App\Models\Event::EVENT_TYPE[$event->event_type]); ?></span>
                                <?php else: ?>
                                    <span class="badge bg-success"><?php echo e(\App\Models\Event::EVENT_TYPE[$event->event_type]); ?></span>
                                <?php endif; ?>
                            </div>
                        </div>
                        <?php if($event->event_type == \App\Models\Event::PAID): ?>
                            <div class="row mb-7">
                                <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.event.payable_amount')); ?></label>
                                <div class="col-lg-8">
                                    <span class="fs-4 text-gray-800"><?php echo e(getCurrencyIcon()); ?>  <?php echo e($event->payable_amount); ?></span>
                                </div>
                            </div>
                        <?php endif; ?>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.event.description')); ?></label>
                            <div class="col-lg-8">
                                <span class="fs-4 text-gray-800"><?php echo !empty($event->description) ? $event->description : __('messages.common.n/a'); ?></span>
                            </div>
                        </div>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.common.created_at')); ?></label>
                            <div class="col-lg-8">
                                <span class="fs-4 text-gray-800 " data-bs-toggle="tooltip"
                                      data-bs-placement="right"
                                      title="<?php echo e(\Carbon\Carbon::parse($event->created_at)->translatedFormat('jS M Y')); ?>"><?php echo e($event->created_at->diffForHumans()); ?></span>
                            </div>
                        </div>
                        <div class="row mb-7">
                            <label class="col-lg-4 fs-4 text-gray-600"><?php echo e(__('messages.common.last_updated')); ?></label>
                            <div class="col-lg-8">
                                <span class="fs-4 text-gray-800" data-bs-toggle="tooltip"
                                      data-bs-placement="right"
                                      title="<?php echo e(\Carbon\Carbon::parse($event->updated_at)->translatedFormat('jS M Y')); ?>"><?php echo e($event->updated_at->diffForHumans()); ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tab-pane fade" id="scheduledEvent" role="tabpanel">
            <div class="container-fluid px-0">
                <div class="d-flex flex-column">
                    <?php
$__split = function ($name, $params = []) {
    return [$name, $params];
};
[$__name, $__params] = $__split('event-scheduled-event-table', ['lazy' => true,'eventId' => $event->id]);

$__html = app('livewire')->mount($__name, $__params, 'lw-2431002467-0', $__slots ?? [], get_defined_vars());

echo $__html;

unset($__html);
unset($__name);
unset($__params);
unset($__split);
if (isset($__slots)) unset($__slots);
?>
                    </div>
                </div>
        </div>
    </div>
</div>
<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/events/show_fields.blade.php ENDPATH**/ ?>